petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetElementType

Gets the element type to be returned by DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetElementType(DM da, DMDAElementType *etype)

Not Collective

### Input Parameter

da -the DMDA object

### Output Parameters

etype -the element type, currently either DMDA_ELEMENT_P1 or DMDA_ELEMENT_Q1

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements(), DMDARestoreElements()

### Level

intermediate

### Location

src/dm/impls/da/dagetelem.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages